Class | Fog::Compute::XenServer::Server
In: | lib/fog/xenserver/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

affinity clean_reboot clean_shutdown destroy guest_metrics halted? hard_reboot hard_shutdown home_hypervisor mac_address networks new provision reboot refresh resident_on running? save set_attribute start stop tools_installed? vbds vifs

### Public Class methods

new(attributes={})

### Public Instance methods

affinity()
clean_reboot()
clean_shutdown()
destroy()
guest_metrics()

This is not always present in XenServer VMs Guest needs XenTools installed to report this AFAIK

halted?()
hard_reboot()
hard_shutdown()
home_hypervisor()
mac_address()
networks()

associations

provision()
reboot(stype = 'clean')
refresh()
resident_on()
running?()
save(params = {})
set_attribute(name, *val)
start()

operations

stop(stype = 'clean')
tools_installed?()
vbds()
vifs()

[Validate]